//#version unofficial megapov 0.7;

//#include "/tmp/miracle/sky2.inc"

global_settings
{
  assumed_gamma 1
  ambient_light <1 1 1>*.2
  radiosity {
    recursion_limit 1
  }
  max_trace_level 10
}

/*
sphere {
  <0, 0, 0>, 1000
  pigment {color rgb <1, 1, 1>}
  hollow
}
*/

plane {
  <0, 1, 0>, 0
  texture {
    pigment {
      checker
      color rgb <.5 .5 .5>
      color rgb <1 1 1>
    }
    finish {
//      reflection .2
    }
  }
}

// These are the clouds already out of the sun - they're just dark
/*
plane {
  < 0, -1, 0>, -501
*/
sphere {
  <0, 0, 0>, 100
  hollow
  texture {
    pigment {
      spotted
      scale 10
      turbulence 2
      pigment_map{
	[0 rgb <.1 .1 .6>]
	[.4 rgb <.1 .1 .6>]
	[1 rgb <.3 .3 .5>]
      }
//      color rgb <.1, .1, .6>
    }
    finish {
      ambient 3
      diffuse 0
    }
  }
  no_shadow
  scale <20 1 20>
}

difference {
  sphere { <0, 0, 0>, 99 }
  sphere { <0, 0, 0>, 80 }
/*
  plane { < 0, -1, 0>, -300}
  plane { < 0, 1, 0>, 400}
*/

  hollow
  texture {
    pigment {
      color rgbf <1, 1, 1, 1>
    }
  }

  interior {
    media {
      scattering {
	3 rgb <1, 1, 1>/50
      }
//      samples 5, 10
      density {
	spotted
	scale 10
	translate <0, 0, -1000>
	turbulence 1.5
	density_map {
	  [0, rgb 0]
	  [.6, rgb 0]
	  [.8, rgb .6]
	  [1, rgb .6]
	}
      }
    }
  }
  scale <20 1 20>
//  scale .1
}

cylinder {
  <0, 0, 0>, <0, 4, 0>, 4
  texture {
    pigment {
      color rgb <1, 1, 1>
    }
  }
}

light_source {
  <-300, 60, -20>
  color rgb <1 1 1>*2
}

union {
  sphere {
    <0, 0, 0>, 1
    clipped_by {
      plane { <0, -1, 0>, .05}
    }
    hollow
    texture {
      pigment {
	radial
	translate <0, -1, 0>
	color_map {
	  [0 rgbf <0 1 0 1>]
	  [.49 rgbf <0 1 0 1>]
	  [.5 rgbf <1 0 0 1>]
	  [.75 rgbf <1 .3 0 1>]
	  [1 rgbf <1 1 0 1>]
	}
      }
    }
  //  translate <0 4 0>
  }
  translate <-300, 60, -20>
}


camera
{
  location <0, 8, -50>
  look_at  <0, 0, 0>
//  angle 10

}

